API Reference
API Reference
Every route, with request and response schemas.
Every route accepts the OpenAI or ElevenLabs request shape shown on its page. Try a request from the page with your key.
Models
Text
Voice
POSTCreate speech
/openai/v1/audio/speechPOSTCreate transcription/openai/v1/audio/transcriptionsPOSTCreate translation/openai/v1/audio/translationsPOSTText to speech/elevenlabs/v1/text-to-speech/{voice_id}POSTText to speech, streamed/elevenlabs/v1/text-to-speech/{voice_id}/streamPOSTText to speech with timestamps/elevenlabs/v1/text-to-speech/{voice_id}/with-timestampsPOSTText to speech, streamed with timestamps/elevenlabs/v1/text-to-speech/{voice_id}/stream/with-timestampsGETList voices/elevenlabs/v1/voicesGETDefault voice settings/elevenlabs/v1/voices/settings/defaultGETRetrieve voice/elevenlabs/v1/voices/{voice_id}DELETEDelete voice/elevenlabs/v1/voices/{voice_id}GETVoice settings/elevenlabs/v1/voices/{voice_id}/settingsGETList models (ElevenLabs shape)/elevenlabs/v1/modelsGETUser/elevenlabs/v1/userGETUser subscription/elevenlabs/v1/user/subscriptionPOSTSpeech to text/elevenlabs/v1/speech-to-textGETList history/elevenlabs/v1/historyGETRetrieve history item/elevenlabs/v1/history/{item_id}DELETEDelete history item/elevenlabs/v1/history/{item_id}GETHistory item audio/elevenlabs/v1/history/{item_id}/audioPOSTSpeech to speech/elevenlabs/v1/speech-to-speech/{voice_id}POSTSpeech to speech, streamed/elevenlabs/v1/speech-to-speech/{voice_id}/streamPOSTAdd voice (clone)/elevenlabs/v1/voices/addPOSTEdit voice/elevenlabs/v1/voices/{voice_id}/editPOSTEdit voice settings/elevenlabs/v1/voices/{voice_id}/settings/editGETSample audio/elevenlabs/v1/voices/{voice_id}/samples/{sample_id}/audioDELETEDelete sample/elevenlabs/v1/voices/{voice_id}/samples/{sample_id}Realtime
Batch
POSTUpload file
/openai/v1/filesGETList files/openai/v1/filesGETRetrieve file/openai/v1/files/{file_id}DELETEDelete file/openai/v1/files/{file_id}GETFile content/openai/v1/files/{file_id}/contentPOSTCreate batch/openai/v1/batchesGETList batches/openai/v1/batchesGETRetrieve batch/openai/v1/batches/{batch_id}POSTCancel batch/openai/v1/batches/{batch_id}/cancel